This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 722491 - new-kernel-pkg assumes /etc/fstab already exists
new-kernel-pkg assumes /etc/fstab already exists
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: grubby (Show other bugs)
15
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-15 10:19 EDT by Göran Uddeborg
Modified: 2012-08-07 14:04 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 14:04:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Göran Uddeborg 2011-07-15 10:19:08 EDT
Description of problem:
I installed a diskless client using yum --installroot as documented in the Fedora documentation.  When installing the kernel package it issues the error message

awk: cmd. line:1: fatal: cannot open file `/etc/fstab' for reading (No such file or directory)

(Or in my case, a translated version of the message.)

Version-Release number of selected component (if applicable):
grubby-7.0.16-4.fc15.x86_64

How reproducible:
Every time

Steps to Reproduce:
1. yum --installroot=/some/dir --releasever=15 groupinstall Base
  
Actual results:
The above error message is issued.

Expected results:
No error messages.

Additional info:
I believe it is this code in new-kernel-pkg that causes the error:

    rootdevice=$(awk '{ if ($1 !~ /^[ \t]*#/ && $2 == "/") { print $1; }}' /etc/fstab)

There is no check in the script before the line to see if /etc/fstab exists.  The file belongs to the setup package, but only as a ghost, so it will not be created.
Comment 1 Mads Kiilerich 2011-11-25 10:05:27 EST
Where in which documentation is this way of installing documented?

I would say that: Creating a correct fstab is one of the things that just has to be done before the first rpms can be installed. The official and supported ways of installing do that. Documenting these requirements is not feasible, and that is one of the reaons that other ways of installing isn't officially supported.
Comment 2 Göran Uddeborg 2011-11-25 14:50:54 EST
> Where in which documentation is this way of installing documented?

I found it here originally:

http://docs.fedoraproject.org/en-US/Fedora/14/html/Storage_Administration_Guide/diskless-nfs-config.html
Comment 3 Fedora End Of Life 2012-08-07 14:04:03 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.